# Algoritmo 1 para trazar una línea en el primer octante
# este algoritmo usa aritmética real (punto flotante)

# Entrada: necesitamos dos puntos, los puntos en valore enteros
# Salida:  los valores de los puntos que trazan la línea

# Recibimos los puntos en la línea de comandos
import sys

n = len( sys.argv )
if n != 5 :
	print( "Args: x1 y1 x2 y2" )
	exit(1)

x1 = float( sys.argv[1] )
y1 = float( sys.argv[2] )
x2 = float( sys.argv[3] )
y2 = float( sys.argv[4] )

# El algoritmo quedaría como:
# calculamos m,
m = (y2-y1)/(x2-x1)

# calculamos b,
b = -x1*m + y1


# trazamos la línea
x = x1
while x <= x2 :
	y = m*x + b
	print( int(x), int(y+0.5) )
	x += 1


